import { Type } from '@angular/core';
import { Widget } from './widget';
import { QrCodeComponent } from '../../../sculptor-lib/widgets/qr-code/qr-code.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
export declare class QrCode extends Widget {
    component: Type<QrCodeComponent>;
    createFormControl(): void;
    value: string;
    helpText: string;
    qrSubType: string;
    choices: string;
    indent: string;
    captureLocation: boolean;
    fontSize: string;
    markup: string;
    name: string;
    constructor(field?: QrCode);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newQrCode(): void;
    /**function to create report object with existing values
    *
    *@param Report
    *
    */
    qrCode(field: any): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
